﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Lecture_7_2
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
                private void bttn_Click(object sender, RoutedEventArgs e)
        {
            double R, H, alpha;
            string str;
            R = 6378136;
            H = 19100000;
            alpha = 10 * System.Math.PI / 180;
            double a, b, c, d, x1, x2;
            a = 1 + System.Math.Pow((System.Math.Tan(alpha)), 2);
            b = 2 * R * Math.Tan(alpha);
            c = -H * (2 * R + H);
            d = System.Math.Pow(b, 2) - 4 * a * c;

            double distance;

            if (d < 0) { str = "Действительных корней нет!"; }
            else
            {
                x1 = (-b - System.Math.Sqrt(d)) / (2 * a);
                x2 = (-b + System.Math.Sqrt(d)) / (2 * a);

                if (x1 < 0) { distance = x2 / System.Math.Cos(alpha); }
                else { distance = x1 / System.Math.Cos(alpha); }

                str = "x1 = " + x1 + "\nx2 = " + x2 + "\nРасстояние = " + distance + " м";
            }

            MessageBox.Show(str);
        }
    }
}

